dnl Check if getopt_long is available.

AC_DEFUN(sii_GETOPT_LONG,
[
  AC_CHECK_HEADERS(getopt.h,
  [
    AC_DEFINE(HAVE_GETOPT_H)
  ],
  [
    if test -f /usr/local/include/getopt.h;
    then
      echo checking for getopt.h in /usr/local/include... yes
      AC_DEFINE(HAVE_GETOPT_H)
    fi
  ])
  AC_CHECK_FUNCS(getopt_long,,
  [
    AC_CHECK_LIB(gnugetopt, getopt_long,
    [
      AC_DEFINE(HAVE_GETOPT_LONG)
      LIBS="$LIBS -lgnugetopt"
    ])
  ])
])

