dnl Check if we need netdb.h for resolver routines.

AC_DEFUN(sii_GETADDRINFO,
AC_MSG_CHECKING(for getaddrinfo in netdb.h)
AC_TRY_COMPILE(
[
  #include <netdb.h>
],
[struct addrinfo h; struct addrinfo *r; getaddrinfo("127.0.0.1", NULL, &h, &r)],
[
  AC_MSG_RESULT(yes)
  AC_DEFINE(HAVE_GETADDRINFO_NETDB)
],
AC_MSG_RESULT(no)))


AC_DEFUN(sii_GETHOSTBYNAME,
AC_MSG_CHECKING(for gethostbyname in netdb.h)
AC_TRY_COMPILE(
[
  #include <netdb.h>
],
[struct hostent *h; h=gethostbyname("127.0.0.1")],
[
  AC_MSG_RESULT(yes)
  AC_DEFINE(HAVE_GETHOSTBYNAME_NETDB)
],
AC_MSG_RESULT(no)))


AC_DEFUN(sii_GETHOSTBYNAME2,
AC_MSG_CHECKING(for gethostbyname2 in netdb.h)
AC_TRY_COMPILE(
[
  #include <netdb.h>
],
[struct hostent *h; h=gethostbyname("127.0.0.1", AF_INET)],
[
  AC_MSG_RESULT(yes)
  AC_DEFINE(HAVE_GETHOSTBYNAME2_NETDB)
],
AC_MSG_RESULT(no)))


