dnl Check for uint[8,16,32]_t

AC_DEFUN(sii_UINT8_T,
AC_MSG_CHECKING(if type uint8_t exists)
AC_TRY_COMPILE(
[
  #include <sys/types.h>
],
[uint8_t a;],
[
  AC_MSG_RESULT(yes)
  AC_DEFINE(HAVE_UINT8_T)
],
AC_MSG_RESULT(no)))

AC_DEFUN(sii_U_INT8_T,
AC_MSG_CHECKING(if type u_int8_t exists)
AC_TRY_COMPILE(
[
  #include <sys/types.h>
],
[u_int8_t a;],
[
  AC_MSG_RESULT(yes)
  AC_DEFINE(HAVE_U_INT8_T)
],
AC_MSG_RESULT(no)))



AC_DEFUN(sii_UINT16_T,
AC_MSG_CHECKING(if type uint16_t exists)
AC_TRY_COMPILE(
[
  #include <sys/types.h>
],
[uint16_t a;],
[
  AC_MSG_RESULT(yes)
  AC_DEFINE(HAVE_UINT16_T)
],
AC_MSG_RESULT(no)))

AC_DEFUN(sii_U_INT16_T,
AC_MSG_CHECKING(if type u_int16_t exists)
AC_TRY_COMPILE(
[
  #include <sys/types.h>
],
[u_int32_t a;],
[
  AC_MSG_RESULT(yes)
  AC_DEFINE(HAVE_U_INT16_T)
],
AC_MSG_RESULT(no)))



AC_DEFUN(sii_UINT32_T,
AC_MSG_CHECKING(if type uint32_t exists)
AC_TRY_COMPILE(
[
  #include <sys/types.h>
],
[uint32_t a;],
[
  AC_MSG_RESULT(yes)
  AC_DEFINE(HAVE_UINT32_T)
],
AC_MSG_RESULT(no)))

AC_DEFUN(sii_U_INT32_T,
AC_MSG_CHECKING(if type u_int32_t exists)
AC_TRY_COMPILE(
[
  #include <sys/types.h>
],
[u_int32_t a;],
[
  AC_MSG_RESULT(yes)
  AC_DEFINE(HAVE_U_INT32_T)
],
AC_MSG_RESULT(no)))


