/*
 * Copyright (C) 2002 Simon Ekstrand <simon@routemeister.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef SUB_O_H
#define SUB_O_H

/*
 * prototypes
 */
void show_split_networks_v4 (struct if_info *ifi, u_int32_t splitmask, int v4args, struct misc_args m_argv4);
int show_networks_v4 (struct if_info *ifi, int count);
void print_cf_info_v4 (struct if_info *ifi);
void print_cf_bitmap_v4 (struct if_info *ifi);
void print_cidr_info_v4 (struct if_info *ifi);
void print_cidr_bitmap_v4 (struct if_info *ifi);
void print_comp_v6 (struct sip_in6_addr addr);
void print_exp_v4inv6 (struct sip_in6_addr addr);
void print_comp_v4inv6 (struct sip_in6_addr addr);
void print_exp_v6 (struct sip_in6_addr addr);
void print_mixed_v6 (struct sip_in6_addr addr);
void print_rev_v6 (struct if_info *ifi);
void print_v6 (struct if_info *ifi);
void print_v4inv6 (struct if_info *ifi);
int v6plus (struct sip_in6_addr *a, struct sip_in6_addr *b);
void show_split_networks_v6 (struct if_info *ifi, struct sip_in6_addr splitmask, int v6args, struct misc_args m_argv6);
void print_short_help ();
void print_help ();
void print_version ();

#endif				/* SUB_O_H */
