dnl Check if getopt_long is available.

dnl Solaris has socket(2) in libsocket.
AC_DEFUN(sii_LIBSOCKET,
[
  AC_CHECK_LIB(socket, socket,
  [
    AC_DEFINE(HAVE_LIBSOCKET)
    LIBS="$LIBS -lsocket"
  ])
])

dnl Solaris also needs libnsl for inet_ntoa and friends.
AC_DEFUN(sii_LIBNSL,
[
  AC_CHECK_LIB(nsl, inet_ntoa,
  [
    AC_DEFINE(HAVE_LIBNSL)
    LIBS="$LIBS -lnsl"
  ])
])

